undefine tspace
select df.file_id, df.file_name, fs.freeb/1024/1024 freemb,
       df.bytes/1024/1024 mb, df.maxbytes/1024/1024 maxmb, df.increment_by*value/1024/1024 nextmb
  from (select file_id, tablespace_name, file_name, bytes, maxbytes, increment_by from dba_data_files
        union select file_id, tablespace_name, file_name, bytes, maxbytes, increment_by from dba_temp_files) df,
       v$parameter p,
       (select file_id, sum(bytes) freeb from dba_free_space
         where tablespace_name = '&&tspace' group by file_id) fs
 where p.name = 'db_block_size'
   and df.file_id = fs.file_id(+)
   and df.tablespace_name = '&&tspace'
/
